commit fa86dbdd29790d798e9be0ca9d152dc36eb2b3ec
Author: Milan Horínek <horinek@milanfon.cz>
Date:   Sat May 13 14:34:54 2023 +0200

    Svítící pozadí

diff --git a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
index ab7b9dcd5..c97582eac 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
@@ -544,6 +544,7 @@ namespace Ui.MainCameras
                 b.interactable = false;
             }
             DataCollector.Instance.SetCorrect(correct); // Log correct / incorrect click
+            ShowBorder(correct);
         }
 
         public void IsCorrect(string correctWord)
@@ -604,6 +605,22 @@ namespace Ui.MainCameras
             ColorUpButtons();
             AudioPlayerForSounds.Instance.Play(false);
             timeBar.WaitingPhase();
+            ShowBorder(false);
+            DisableAllButtons();
+        }
+
+        private IEnumerator WaitAndHideBorder()
+        {
+            yield return new WaitForSeconds(1);
+            border.SetActive(false);
+        }
+
+        private void ShowBorder(bool success)
+        {
+            border.GetComponent<Image>().color = success ? Constants.GREEN_COLOR : Constants.RED_COLOR;
+            border.GetComponent<Animator>().Rebind();
+            border.SetActive(true);
+            StartCoroutine(WaitAndHideBorder());
         }
     }
 }
